/*
 *    Copyright (c) 2018-2025, avenue All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: avenue
 */

package com.emergency.avenue.common.core.common;

import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * @author avenue
 * @date 2018/8/30 数据权限查询参数
 */
@Data
public class DataPermissions {

	/**
	 * 是否有权限
	 */
	private Boolean isOnly = false;

	/**
	 * 具体的数据范围
	 */
	private List<String> deptPermissionsList = new ArrayList<>();

	/**
	 * 具体查询的用户数据权限范围
	 */
	private String usernamePermissions;

}
