package com.emergency.avenue.admin.api.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 工单字典表
 * </P>
 *
 * @Author: wenpeng_qing
 * @Date: 2019-04-19 17:40
 * @Version: 1.0.0
 */
@Data
public class SysTreeDictDTO {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	@Schema(description = "主键id")
	private String id;

	/**
	 * 主键集合id
	 */
	@Schema(description = "主键集合id")
	private List<String> idList;

	/**
	 * 父级code集合
	 */
	@Schema(description = "父级code集合")
	private List<String> parentCodeList;

	/**
	 * 父id
	 */
	@Schema(description = "父id")
	private String parentId;

	/**
	 * 名称
	 */
	@Schema(description = "名称")
	private String name;
	/**
	 * 节点内容
	 */
	@Schema(description = "节点内容")
	private String content;

	/**
	 * 排序
	 */
	@Schema(description = "排序")
	private Integer sort;

	/**
	 * 字典分类
	 */
	@Schema(description = "字典分类")
	private Integer type;

	/**
	 * 是否删除  -1：已删除  0：正常
	 */
	@Schema(description = "是否删除")
	private String delFlag;

	/**
	 * 数据创建人
	 */
	@Schema(description = "数据创建人")
	private Long createBy;

	/**
	 * 数据修改人
	 */
	@Schema(description = "数据修改人")
	private Long updateBy;

	/**
	 * 创建时间
	 */
	@Schema(description = "创建时间")
	private LocalDateTime createTime;

	/**
	 * 修改时间
	 */
	@Schema(description = "修改时间")
	private LocalDateTime updateTime;

	/**
	 * code
	 */
	@Schema(description = "code")
	private String code;

	/**
	 * 全路径
	 */
	@Schema(description = "全路径")
	private String path;
	/**
	 * type 1  区别  1 物资大类  2 物资类别  3 物资名称  4 物资单位
	 */
	@Schema(description = "类型 type 1  区别  1 物资大类  2 物资类别  3 物资名称  4 物资单位")
	private String difference;

}
