package com.emergency.avenue.admin.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * <p>
 * 工单字典表
 * </P>
 *
 * @Author: wenpeng_qing
 * @Date: 2019-04-19 17:40
 * @Version: 1.0.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_tree_dict")
public class SysTreeDict extends Model<SysTreeDict> {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	@TableId(value = "id", type = IdType.INPUT)
	@Schema(description = "主键id")
	private String id;
	/**
	 * 父id
	 */
	@Schema(description = "父id")
	private String parentId;

	/**
	 * 名称
	 */
	@TableField(value = "name_", exist = true)
	@Schema(description = "名称")
	private String name;
	/**
	 * 节点内容
	 */
	@TableField(value = "content_", exist = true)
	@Schema(description = "节点内容")
	private String content;

	/**
	 * 排序
	 */
	@TableField(value = "sort_", exist = true)
	@Schema(description = "排序")
	private Integer sort;

	/**
	 * 字典分类    1 物资类型  2 行政地址
	 */
	@TableField(value = "type_", exist = true)
	@Schema(description = "字典分类    1 物资类型  2 行政地址")
	private Integer type;

	/**
	 * 是否删除  -1：已删除  0：正常
	 */
	@Schema(description = "是否删除  -1：已删除  0：正常")
	private String delFlag;

	/**
	 * 数据创建人
	 */
	@Schema(description = "数据创建人")
	private Long createBy;

	/**
	 * 数据修改人
	 */
	@Schema(description = "数据修改人")
	private Long updateBy;

	/**
	 * 创建时间
	 */
	@Schema(description = "创建时间")
	private LocalDateTime createTime;

	/**
	 * 修改时间
	 */
	@Schema(description = "修改时间")
	private LocalDateTime updateTime;

	/**
	 * code
	 */
	@TableField(value = "code_", exist = true)
	@Schema(description = "code")
	private String code;

	/**
	 * 全路径
	 */
	@TableField(value = "path_", exist = true)
	@Schema(description = "全路径")
	private String path;
	/**
	 * type 1  区别  1 物资大类  2 物资类别  3 物资名称  4 物资单位
	 */
	@TableField(value = "difference_", exist = true)
	@Schema(description = "type 1  区别  1 物资大类  2 物资类别  3 物资名称  4 物资单位")
	private String difference;

	/**
	 * 父级code
	 */
	@TableField(value = "parent_code", exist = true)
	@Schema(description = "父级code")
	private String parentCode;

	@Schema(description = "原有建议年限")
	private String orgYears;


	@Schema(description = "建议年限")
	private String years;
	@Schema(description = "是否配件0否1是")
	private String isParts;
}
