package com.emergency.avenue.storage.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@Schema(description = "入库信息-审核状态表")
@EqualsAndHashCode(callSuper = true)
public class InboundStatus extends Model<InboundStatus> {

	@TableId(type = IdType.AUTO)
	@Schema(description = "主键")
	private Integer id;
	@Schema(description = "入库物资id")
	private String inboundId;
	@Schema(description = "状态")
	private String status;
	@Schema(description = "是否失效")
	private String isInvalid;
	@Schema(description = "文件上传")
	private String filePart;
	@Schema(description = "文件名称")
	private String fileName;
	@Schema(description = "审核日期")
	private LocalDateTime auditingTime;
	@Schema(description = "部门id")
	private String deptId;
	@Schema(description = "用户id")
	private String userId;
	@Schema(description = "意见")
	private String opinion;
	@TableField(exist = false)
	private String audi;
	@TableField(exist = false)
	@Schema(description = "部门Name")
	private String warehouse;
}
