package com.emergency.avenue.storage.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@Schema(description = "物资维护表-明细表")
@EqualsAndHashCode(callSuper = true)
public class MaterialMaintenanceDetail extends Model<MaterialMaintenanceDetail> {

	@TableId(type = IdType.AUTO)
	@Schema(description = "记录的唯一标识符")
	private Integer id;

	@Schema(description = "物资维护表id")
	private String maintenanceId;

	@Schema(description = "维护保养单位")
	private String maintenanceUnit;

	@Schema(description = "维护保养人")
	private String maintenancePerson;


	@Schema(description = "维护保养时间")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date maintenanceTime;


	@Schema(description = "附件路径")
	private String filePart;

	@Schema(description = "附件名称")
	private String fileName;
}