package com.emergency.avenue.storage.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
@Schema(description = "物资维护表-审核状态表")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class MaterialMaintenanceStatus extends Model<MaterialMaintenanceStatus> {

	@TableId(type = IdType.AUTO)
	@Schema(description = "主键")
	private Integer id;
	@Schema(description = "物资维护表id")
	private String maintenanceId;
	@Schema(description = "状态")
	private String status;
	@Schema(description = "是否失效")
	private String isInvalid;
	@Schema(description = "文件上传")
	private String filePart;
	@Schema(description = "文件名称")
	private String fileName;
	@Schema(description = "审核日期")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private LocalDateTime auditingTime;
	@Schema(description = "部门id")
	private String deptId;
	@Schema(description = "用户id")
	private String userId;
	@Schema(description = "意见")
	private String opinion;
	@TableField(exist = false)
	@Schema(description = "审核状态0通过1退回")
	private String audi;
	@TableField(exist = false)
	@Schema(description = "库点简称")
	private String warehouse;
}
