package com.emergency.avenue.storage.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@Schema(description = "出库信息-物资信息表")
@TableName(autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class OutboundMaterialInfo extends Model<OutboundMaterialInfo> {

	@TableId(type = IdType.AUTO)
	@Schema(description = "出库物资id")
	private Integer materialId;

	@Schema(description = "出库信息表id")
	private Integer outboundId;

	@Schema(description = "出库类型")
	private String outboundType;

	@Schema(description = "物资大类")
	private String materialGroup;

	@Schema(description = "物资类别")
	private String materialType;

	@Schema(description = "物资编码")
	@TableField(exist = false)
	private String materialCode;
	@Schema(description = "物资名称")
	private String materialName;


	@Schema(description = "单位")
	private String unit;


	@Schema(description = "数量")
	private String quantity;


	@Schema(description = "调用省份")
	private String province;


	@Schema(description = "规格")
	private String specs;


	@Schema(description = "出库日期")
	private String outboundTime;

	@Schema(description = "入库日期")
	private String inboundTime;


	@Schema(description = "单价")
	private String unitPrice;


	@Schema(description = "总价")
	private String totalPrice;


	@Schema(description = "是否可用")
	private String isAvailable;


	@Schema(description = "文件上传")
	private String filePart;

	@Schema(description = "文件名称")
	private String fileName;


	@Schema(description = "备注")
	private String remarks;

	@Schema(description = "物资树")
	@TableField(typeHandler = JacksonTypeHandler.class)
	private List<String> materialTree;
}
