package com.emergency.avenue.storage.api.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

@Data
@Schema(description = "调令信息")
@EqualsAndHashCode(callSuper = true)
public class TransferOrder extends Model<TransferOrder> {
	@TableId(type = IdType.AUTO)
	@Schema(description = "主键ID", required = true)
	private Integer orderId; // 对应数据库中的order_id
	@Schema(description = "调令编码")
	private String orderNo;  // 对应数据库中的order_no
	@Schema(description = "调令名称")
	private String orderName; // 对应数据库中的order_name
	@Schema(description = "备注")
	private String remarks;  // 对应数据库中的remarks
	@Schema(description = "提交时间")
	private LocalDateTime submitTime; // 对应数据库中的submit_time
	@Schema(description = "提交时间")
	@TableField(exist = false)
	private String submitTimeVo; // 对应数据库中的submit_time
	@Schema(description = "文件路径")
	private String filePart; // 对应数据库中的file_part，即文件路径
	@Schema(description = "文件名称")
	private String fileName; // 对应数据库中的file_name，即文件名称
	@TableField(exist = false)
	@Schema(description = "下发物资信息")
	private List<OrderOutboundMaterialInfo> orderOutboundMaterialInfos;
	@Schema(description = "状态")
	private String status;

}