package com.emergency.avenue.storage.api.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author lixingxing
 * @data 2023/6/7 17:03
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InboundInfoRequest {

	@Schema(description = "省份地址id")
	private List<String> provinceSiteIdList;
	/**
	 * 数据权限部门ID
	 */
	@Schema(description = "数据权限部门ID")
	private List<String> deptIdList;
	/**
	 * 局部门ID
	 */
	@Schema(description = "局部门ID")
	private List<String> gameDeptId;
	/**
	 * 仓库部门ID
	 */
	@Schema(description = "仓库部门ID")
	private List<String> warehouseDeptId;

	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private List<String> dmUpcode0List;

	/**
	 * 物资类别
	 */
	@Schema(description = "物资类别")
	private List<String> dmUpcode1List;

	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String dmUpname2;

	@Schema(description = "储存状态")
	private String storageState;

	@Schema(description = "维保次数")
	private String maintenanceCount;

	@Schema(description = "是否维保默认false")
	private Boolean isMaintenance=false;
}