package com.emergency.avenue.storage.api.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.Set;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class MaterialMaintenanceRequest {

	@Schema(description = "仓库id")
	private  String deptId;

	@Schema(description = "物资类别")
	private String materialType;

	@Schema(description = "物资名称")
	private String materialName;

	@Schema(description = "开始入库日期")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date startEntryDate;

	@Schema(description = "结束入库日期")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date endEntryDate;

	@Schema(description = "维护保养单位")
	private String maintenanceUnit;

	private List<String> deptIds;

	private Set<String> maintenanceUnits;



}
