package com.emergency.avenue.storage.api.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
/**
 * hdx
 * 2024-3-26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OutboundInfoRequest {


	@Schema(description = "调用省份")
	private List<String> provinceSiteIdList;
	/**
	 * 数据权限部门ID
	 */
	@Schema(description = "数据权限部门ID")
	private List<String> deptIdList;
	/**
	 * 局部门ID
	 */
	@Schema(description = "局部门ID")
	private List<String> gameDeptId;
	/**
	 * 仓库部门ID
	 */
	@Schema(description = "仓库部门ID")
	private List<String> warehouseDeptId;

	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private List<String> dmUpcode0List;

	/**
	 * 物资类别
	 */
	@Schema(description = "物资类别")
	private List<String> dmUpcode1List;

	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String dmUpname2;

	@Schema(description = "时间区间")
	private List<String> outboundTime;

}
