package com.emergency.avenue.storage.api.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class StorageMaterialsRequest {

	/**
	 * 数据权限部门ID
	 */
	@Schema(description = "数据权限部门ID")
	private List<String> deptIdList;

	/**
	 * 仓库部门ID
	 */
	@Schema(description = "仓库ID")
	private String deptId;

	@Schema(description = "调用省份")
	private List<String> provinceSiteIdList;

	/**
	 * 仓库部门ID
	 */
	@Schema(description = "仓库部门ID")
	private List<String> warehouseDeptId;


	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String dmUpname2;

	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private List<String> dmUpcode0List;

	/**
	 * 是否明细
	 */
	@Schema(description = "是否明细")
	private Boolean isDetails=false;
}
