package com.emergency.avenue.storage.api.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author lixingxing
 * @data 2023/6/7 17:03
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InboundInfoResponse {

	@Schema(description = "省份")
	private String province;
	/**
	 * 局名称
	 */
	@Schema(description = "局名称")
	private String gameName;
	/**
	 * 局id
	 */
	@Schema(description = "局id")
	private String gameDeptId;
	/**
	 * 仓库名称
	 */
	@Schema(description = "仓库名称")
	private String warehouseName;
	/**
	 * 仓库id
	 */
	@Schema(description = "仓库id")
	private String warehouseDeptId;
	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private String materials1;
	/**
	 * 物资类别
	 */
	@Schema(description = "物资类别")
	private String materials2;
	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称编码")
	private String dmUpcode2;
	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String materials3;
	/**
	 * 物资单位
	 */
	@Schema(description = "物资单位")
	private String materials4;
	/**
	 * 数量
	 */
	@Schema(description = "数量")
	private String quantity;
	/**
	 * 规格
	 */
	@Schema(description = "规格")
	private String specs;
	/**
	 * 入库时间
	 */
	@Schema(description = "入库时间")
	private String inboundTime;
	/**
	 * 单价
	 */
	@Schema(description = "单价")
	private String unitPrice;
	/**
	 * 总价
	 */
	@Schema(description = "总价")
	private String totalPrice;
	/**
	 * 是否可用
	 */
	@Schema(description = "是否可用")
	private String isAvailable;
	/**
	 * 备注
	 */
	@Schema(description = "备注")
	private String remarks;

	/**
	 * 排序
	 */
	@Schema(description = "排序")
	private Integer sort;

	/**
	 * 统计总价
	 */
	@Schema(description = "统计总价")
	private BigDecimal warehouseTotalPrice;

	/**
	 * 统计总数量
	 */
	@Schema(description = "统计总数")
	private BigDecimal warehouseTotalNum;

	@Schema(description = "建议年限")
	private String years;

	@Schema(description = "维保次数")
	private String maintenanceCount;
	@Schema(description = "维保id")
	private String maintenanceId;

	private String isParts;
}