package com.emergency.avenue.storage.api.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * hdx
 * 2024-3-26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OutbountInfoResponse {

	@Schema(description = "省份")
	private String province;

	@Schema(description = "省份")
	private String provinceLabel;


	@Schema(description = "仓库名称")
	private String warehouseName;
	/**
	 * 仓库id
	 */
	@Schema(description = "仓库id")
	private String warehouseDeptId;


	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private String materials1;
	/**
	 * 物资类别
	 */
	@Schema(description = "物资类别")
	private String materials2;
	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String materials3;

	/**
	 * 物资单位
	 */
	@Schema(description = "物资单位")
	private String materials4;
	/**
	 * 数量
	 */
	@Schema(description = "数量")
	private BigDecimal quantity;


	@Schema(description = "总价")
	private BigDecimal totalPrice;

	@Schema(description = "出库日期")
	private String outboundTime;
	/**
	 * 入库时间
	 */
	@Schema(description = "入库时间")
	private String inboundTime;

	/**
	 * 单价
	 */
	@Schema(description = "单价")
	private String unitPrice;
	/**
	 * 统计总价
	 */
	@Schema(description = "统计总价")
	private BigDecimal warehouseTotalPrice;

	/**
	 * 排序
	 */
	@Schema(description = "排序")
	private Integer sort;

	/**
	 * 排序
	 */
	@Schema(description = "列表序号")
	private Integer index;


}
