package com.emergency.avenue.storage.api.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.emergency.avenue.common.excel.annotation.ExcelLine;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@ColumnWidth(30)
public class InbountExcelVO {

	/**
	 * 导入时候回显行号
	 */
	@ExcelLine
	@ExcelIgnore
	private Long lineNum;

	@ExcelProperty("入库类型")
	private String inboundType;

	@ExcelProperty("物资名称")
	private String materialName;


	@ExcelProperty("数量实际")
	private String quantity;


	@ExcelProperty("规格")
	private String specs;

	@ExcelProperty("入库日期")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private String inboundTime;


	@ExcelProperty("单价实际（元）")
	private String unitPrice;


	@ExcelProperty("是否")
	private String isAvailable;


	@ExcelProperty("备注")
	private String remarks;


	@ExcelProperty("仓库名称")
	private String warehouse;

}
