package com.emergency.avenue.storage.api.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 出库信息表导出Excel
 */
@Data
@Schema(description = "出库信息表导出Excel")
public class OutboundExcel{
	/**
	 * 出库信息id
	 */
	@Schema(description = "出库信息id")
	private Integer outboundId;

	/**
	 * 出库类型
	 */
	@Schema(description = "出库类型")
	private String outboundType;

	/**
	 * 出库类型
	 */
	@Schema(description = "出库类型名称")
	private String outboundName;

	/**
	 * 物资大类
	 */
	@Schema(description = "物资大类")
	private String materialGroup;

	/**
	 * 物资类别
	 */
	@Schema(description = "物资类别")
	private String materialType;

	/**
	 * 物资名称
	 */
	@Schema(description = "物资名称")
	private String materialName;

	@Schema(description = "单位")
	private String unit;

	@Schema(description = "规格")
	private String specs;

	@Schema(description = "单价")
	private String unitPrice;

	/**
	 * 数量（注：此处为字符串类型，根据实际需求可能需要使用Integer或BigDecimal）
	 */
	@Schema(description = "数量")
	private String quantity;
	@Schema(description = "详情数量")
	private BigDecimal quantity2;

	/**
	 * 调用省份
	 */
	@Schema(description = "调用省份")
	private String calledProvince;
	/**
	 * 调用省份
	 */
	@Schema(description = "调用省份")
	private String calledProvinceName;

	@Schema(description = "入库日期")
	private String inboundTime;

	/**
	 * 出库日期
	 */
	@Schema(description = "出库日期")
	private String outboundTime;

	/**
	 * 是否可用（注：此处为字符串类型，根据实际需求可能需要使用Boolean）
	 */
	@Schema(description = "是否可用")
	private String isAvailable;

	/**
	 * 状态
	 */
	@Schema(description = "状态")
	private String status;

	/**
	 * 查询下发标识
	 */
	@Schema(description = "查询下发标识")
	private String lower;

	/**
	 * 提交时间
	 */
	@Schema(description = "提交时间")
	private LocalDateTime submitTime;

	/**
	 * 用户id
	 */
	@Schema(description = "用户id")
	private String userId;

	/**
	 * 部门id
	 */
	@Schema(description = "部门id")
	private String deptId;

	/**
	 * 库点简称
	 */
	@Schema(description = "库点简称")
	private String warehouse;

	/** 物资名称 */
	@Schema(description = "物资名称")
	private String materialNameVo;

	@Schema(description = "总价")
	private String totalPrice;

	@Schema(description = "详情总价")
	private BigDecimal totalPrice2;

	@Schema(description = "备注")
	private String remarks;

	@Schema(description = "序号")
	private int index;

}
