package com.emergency.avenue.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.emergency.avenue.admin.api.entity.SysTreeDict;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工单字典表
 * </P>
 *
 * @Author: wenpeng_qing
 * @Date: 2019-06-14 15:33
 * @Version: 1.0.0
 */
public interface SysTreeDictMapper extends BaseMapper<SysTreeDict> {

	/**
	 * 工单字典表简单分页查询
	 *
	 * @param page      分页信息
	 * @param orderDict 工单字典
	 * @return IPage
	 */
	IPage<SysTreeDict> getOrderDictPage(Page page, @Param("orderDict") SysTreeDict orderDict);

	/**
	 * 根据type查询字典表
	 *
	 * @param type 字典类型
	 * @return List
	 */
	List<SysTreeDict> getOrderDictList(Integer type);

	/**
	 * 根据type查询字典表
	 *
	 * @param typeList 字典类型
	 * @return List
	 */
	List<SysTreeDict> getTypesList(@Param("typeList") List<Integer> typeList);

	/**
	 * 根据和类型查询工单字典
	 *
	 * @param name 名称
	 * @param type 类型
	 * @return List
	 */
	List<SysTreeDict> getOrderDict(@Param("name") String name, @Param("type") Integer type);

	/**
	 * 根据和类型查询工单字典
	 *
	 * @param ids id集合
	 * @return List
	 */
	List<SysTreeDict> getIds(@Param("ids") List<String> ids);

	List<String> getAllDictCode6();

}
