package com.emergency.avenue.storage.controller;

import com.emergency.avenue.common.core.util.R;
import com.emergency.avenue.common.log.annotation.SysLog;
import com.emergency.avenue.common.security.annotation.Inner;
import com.emergency.avenue.storage.service.SysStorageService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: Insight
 * @Description: TODO
 * @Date: 2024/4/2 16:43
 * @Version: 1.0
 */
@RestController
@RequestMapping("/sysStorage")
@AllArgsConstructor
@Tag(description = "sysStorage", name = "出库信息")
public class SysStorageController {

    private final SysStorageService sysStorageService;
    @Operation(description = "新增物资信息", summary = "新增物资信息")
    @SysLog("新增物资信息")
    @PostMapping("save")
    @Inner(value = false)
    public R save(@RequestBody List<String> rfids) {
        return sysStorageService.save(rfids);
    }

}
