/*
 *
 *      Copyright (c) 2018-2025, avenue All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the pig4cloud.com developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: avenue
 *
 */

package com.emergency.avenue.storage.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.emergency.avenue.common.data.datascope.AvenueBaseMapper;
import com.emergency.avenue.storage.api.entity.Dmmatype;
import com.emergency.avenue.storage.api.request.DmmatypeRequest;
import com.emergency.avenue.storage.api.request.IrptDimWzdwRequest;
import com.emergency.avenue.storage.api.response.DmmatypeResponse;
import com.emergency.avenue.storage.api.response.IrkzqXxb1Response;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 部门管理 Mapper 接口
 * </p>
 *
 * @author avenue
 * @since 2018-01-20
 */
@Mapper
public interface DmmatypeMapper extends AvenueBaseMapper<Dmmatype> {

	/**
	 * 工单字典表简单分页查询
	 *
	 * @param page 分页信息
	 * @param dmmatypeRequest 工单字典
	 * @return IPage
	 */
	IPage<DmmatypeResponse> dimWzdw(Page page, @Param("dmmatypeRequest") DmmatypeRequest dmmatypeRequest);

	/**
	 * 工单字典表简单列表查询
	 *
	 * @param dmmatypeRequest 工单字典
	 * @return IPage
	 */
	List<DmmatypeResponse> getAllList(@Param("dmmatypeRequest") DmmatypeRequest dmmatypeRequest);

	List<IrkzqXxb1Response> selectIrkzqXxb(@Param("irpt") IrptDimWzdwRequest irptDimWzdwRequest);
}
