package com.emergency.avenue.storage.mapper;

import com.emergency.avenue.storage.api.entity.InboundStatus;
import com.emergency.avenue.common.data.datascope.AvenueBaseMapper;
import com.emergency.avenue.storage.api.request.InboundInfoRequest;
import com.emergency.avenue.storage.api.request.StorageMaterialsRequest;
import com.emergency.avenue.storage.api.response.InboundInfoResponse;
import com.emergency.avenue.storage.api.response.StorageMaterialsResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InboundStatusMapper extends AvenueBaseMapper<InboundStatus> {

	int updateByIdAndIsInvalid(String id);

	List<InboundInfoResponse> selectListByDept(@Param("infoRequest") InboundInfoRequest infoRequest);

	List<InboundInfoResponse> selectListByDeptAndMaintenance(@Param("infoRequest") InboundInfoRequest infoRequest);

	List<InboundInfoResponse> selectListByDeptMoney(@Param("infoRequest") InboundInfoRequest infoRequest);

	List<StorageMaterialsResponse> selectListByStorageMaterials(@Param("infoRequest") StorageMaterialsRequest request);

	List<StorageMaterialsResponse> selectListByStorageMaterialsDeptId(@Param("infoRequest") StorageMaterialsRequest request);
}
