/*
 *
 *      Copyright (c) 2018-2025, avenue All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the pig4cloud.com developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: avenue
 *
 */

package com.emergency.avenue.storage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.emergency.avenue.storage.api.request.IrptDimWzdwRequest;
import com.emergency.avenue.storage.api.response.IrkzqXxb1Response;
import com.emergency.avenue.storage.api.entity.Dmmatype;
import com.emergency.avenue.storage.api.request.DmmatypeRequest;
import com.emergency.avenue.storage.api.response.DmmatypeResponse;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 部门管理 服务类
 * </p>
 *
 * @author avenue
 * @since 2018-01-20
 */
public interface DmmatypeService extends IService<Dmmatype> {

	IPage<DmmatypeResponse> getList(Page p, DmmatypeRequest dmmatypeRequest);

	List<DmmatypeResponse> getAllList(DmmatypeRequest dmmatypeRequest);

	List<IrkzqXxb1Response> selectIrkzqXxb(IrptDimWzdwRequest irptDimWzdwRequest);

	void selectIrkzqXxbExport(String fileName,String templateFile ,IrptDimWzdwRequest irptDimWzdwRequest, HttpServletResponse response);

    void exportyjwzflb(String fileName, String templateFile, List<DmmatypeResponse> records,HttpServletResponse response);
}
